Bug 486154 - konqueror fails to access files via webdav correctly
konqueror fails to access files via webdav correctly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 12:16 EST by dhawes
Modified: 2009-03-16 21:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 21:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of error message (98.25 KB, image/png)
2009-02-18 12:18 EST, dhawes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 184923 None None None Never

  None (edit)
Description dhawes 2009-02-18 12:16:55 EST
Description of problem:

This version of konqueror is failing to including a trailing slash in webDAV collection URIs. Apache redirects as per standard and the user receives a 301 error when attempting to access directories.


Version-Release number of selected component (if applicable):

kdebase-4.2.0-2.fc10.i386

How reproducible: very


Steps to Reproduce:
1.upload files to a web server using webdav
2.connect to them using konqueror and try to delete one of them
3.
  
Actual results:

error message:

 (see attached png)

 An unexpected error (301) occurred while attempting to retrieve the contents
of the specified file or folder.


Expected results:
It should delete the file.

Additional info:
Comment 1 dhawes 2009-02-18 12:18:27 EST
Created attachment 332420 [details]
Picture of error message
Comment 2 Rex Dieter 2009-02-18 12:27:39 EST
An excellent candidate to report to upstream developers @ bugs.kde.org.   Mind doing so?
Comment 3 dhawes 2009-02-19 06:05:54 EST
Submited as bug 184923 @ bugs.kde.org
Comment 4 Steven M. Parrish 2009-03-16 21:48:51 EDT
Thanks for reporting upstream, will monitor for resolution of this issue

Note You need to log in before you can comment on or make changes to this bug.